#!/usr/bin/python3

from mymodule import app
import unittest
from unittest.mock import mock_open, patch


class MyModule(unittest.TestCase):

    def setUp(self):
        self.app = app.test_client()

    def test_no_such_thing_on_file_not_found_error(self):
        m = mock_open()
        m.side_effect = FileNotFoundError()
        with patch('mymodule.open', m, create=True):
            rv = self.app.get('/')
            self.assertTrue("No such thing", rv.data)
        m.assert_called_once_with("/no/such/file/i/guess", "r")
